commit 45bde60836d04cce4637b74ecadbb0aff90b832f
Author: liuhongt <hongtao.liu@intel.com>
Date:   Tue Oct 22 11:24:23 2024 +0800

    [GCC13/GCC12] Fix testcase.
    
    The optimization relies on other patterns which are only available at
    GCC14 and obove, so restore the xfail for GCC13/12 branch.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/i386/avx512bw-pr103750-2.c: Add xfail for ia32.
    
    (cherry picked from commit 8b43518a01cbbbafe042b85a48fa09a32948380a)

diff --git a/gcc/testsuite/gcc.target/i386/avx512bw-pr103750-2.c b/gcc/testsuite/gcc.target/i386/avx512bw-pr103750-2.c
index 3392e193222..7303f5403ba 100644
--- a/gcc/testsuite/gcc.target/i386/avx512bw-pr103750-2.c
+++ b/gcc/testsuite/gcc.target/i386/avx512bw-pr103750-2.c
@@ -1,7 +1,8 @@
 /* PR target/103750 */
 /* { dg-do compile }  */
 /* { dg-options "-O2 -mavx512dq -mavx512bw -mavx512vl" } */
-/* { dg-final { scan-assembler-not "kmov" } } */
+/* { dg-final { scan-assembler-not "kmov" { xfail ia32 } } } */
+/* xfail need to be fixed.  */
 
 #include <immintrin.h>
 extern __m128i* pi128;

